%define upstream_name    Template-Plugin-Subst
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    s/// functionality for Template Toolkit templates
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Template)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch


%description
Template::Plugin::Subst acts as a filter and a virtual method to carry
out regular expression substitutions with back references on text and
variables in the Template Toolkit.

That's the advantage of this approach over the built-in C<replace>
method.  C<replace> doesn't deal with backrefs, so code like this:

  [% str = 'foobar' %]
  [% str.replace('(foo)(bar)', '$2$1') %]

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc META.yml Changes README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.20.0-9.mga8
+ Revision: 1497288
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.20.0-8.mga7
+ Revision: 1271616
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.20.0-7.mga6
+ Revision: 1033906
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.20.0-6.mga6
+ Revision: 947959
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-5.mga5
+ Revision: 742460
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-4.mga5
+ Revision: 686350
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.20.0-3.mga4
+ Revision: 514935
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 373177
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 36582
- mageia rebuild
- imported package perl-Template-Plugin-Subst


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.20.0-1mdv2010.0
+ Revision: 405535
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.02-4mdv2009.0
+ Revision: 258484
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.02-3mdv2009.0
+ Revision: 246509
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Nov 13 2007 Jérôme Quelin <jquelin@mandriva.org> 0.02-1mdv2008.1
+ Revision: 108476
- requiring perl(Module::Build)
- remove yes call
- import perl-Template-Plugin-Subst



